function varargout=allsamples(varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.addParamValue('stop',true,@islogical);
  p.parse(varargin{:});
  stop=p.Results.stop;
  valid=ones(1,6);
  for i=1:6
    command=sprintf('fc_oogmsh.samples.sample%02d()',i);
    fprintf('[fc-oogmsh] Running %s\n',command)
    try 
      eval(command)
    catch
      valid(i)=0;
      if stop
        error('[fc-oogmsh] Stop! running %s FAILED!\n',command)
      else
        warning('[fc-oogmsh] Running %s FAILED!\n',command)
        
      end
    end
  end
  if nargout==1,varargout{1}=valid;end
end